<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd">
<html>
<head>
	<title>API: treeview   (YUI Library)</title>
	<link rel="stylesheet" type="text/css" href="assets/api.css">
</head>

<body id="yahoo-com">
<div id="doc3" class="yui-t2">

	<div id="hd">
        <h1>Yahoo! UI Library</h1>
        <h3>TreeView Widget&nbsp; <span class="subtitle">2.2.0</span></h3>
        <p>
        <a href="./index.html">Yahoo! UI Library</a> 
            &gt; <a href="./module_treeview.html">treeview</a>
                
                
            </p>
	</div>

	<div id="bd">
		<div id="yui-main">
			<div class="yui-b">

                   
                    <h3>Module: treeview
                    


                    </h3>
                    <div class="description summary">
                        The treeview widget is a generic tree building tool.
                    </div>

                    <form onsubmit="return false">
                        <p>Search treeview:
                        <div id="propertysearch">
                            <input autocomplete="off" id="searchinput" />
                            <div id="searchresults">
                                &nbsp;
                            </div>
                        </div>
                    </form>
                    <script type="text/javascript">
                        ALL_YUI_PROPS = [{"url": "YAHOO.widget.TVFadeIn.html#animate", "host": "YAHOO.widget.TVFadeIn", "name": "animate"}, {"url": "YAHOO.widget.TVFadeOut.html#animate", "host": "YAHOO.widget.TVFadeOut", "name": "animate"}, {"url": "YAHOO.widget.TreeView.html#animateCollapse", "host": "YAHOO.widget.TreeView", "name": "animateCollapse"}, {"url": "YAHOO.widget.TreeView.html#animateExpand", "host": "YAHOO.widget.TreeView", "name": "animateExpand"}, {"url": "YAHOO.widget.TreeView.html#animComplete", "host": "YAHOO.widget.TreeView", "name": "animComplete"}, {"url": "YAHOO.widget.TreeView.html#_animCount", "host": "YAHOO.widget.TreeView", "name": "_animCount"}, {"url": "YAHOO.widget.TreeView.html#animStart", "host": "YAHOO.widget.TreeView", "name": "animStart"}, {"url": "YAHOO.widget.Node.html#appendChild", "host": "YAHOO.widget.Node", "name": "appendChild"}, {"url": "YAHOO.widget.Node.html#appendTo", "host": "YAHOO.widget.Node", "name": "appendTo"}, {"url": "YAHOO.widget.Node.html#applyParent", "host": "YAHOO.widget.Node", "name": "applyParent"}, {"url": "YAHOO.widget.TVFadeIn.html#callback", "host": "YAHOO.widget.TVFadeIn", "name": "callback"}, {"url": "YAHOO.widget.TVFadeOut.html#callback", "host": "YAHOO.widget.TVFadeOut", "name": "callback"}, {"url": "YAHOO.widget.Node.html#children", "host": "YAHOO.widget.Node", "name": "children"}, {"url": "YAHOO.widget.Node.html#childrenRendered", "host": "YAHOO.widget.Node", "name": "childrenRendered"}, {"url": "YAHOO.widget.TreeView.html#collapse", "host": "YAHOO.widget.TreeView", "name": "collapse"}, {"url": "YAHOO.widget.Node.html#collapse\ntoggle style.", "host": "YAHOO.widget.Node", "name": "collapse\ntoggle style."}, {"url": "YAHOO.widget.Node.html#collapseAll", "host": "YAHOO.widget.Node", "name": "collapseAll"}, {"url": "YAHOO.widget.TreeView.html#collapseAll", "host": "YAHOO.widget.TreeView", "name": "collapseAll"}, {"url": "YAHOO.widget.TreeView.html#_collapseAnim", "host": "YAHOO.widget.TreeView", "name": "_collapseAnim"}, {"url": "YAHOO.widget.TreeView.html#collapseComplete", "host": "YAHOO.widget.TreeView", "name": "collapseComplete"}, {"url": "YAHOO.widget.TreeView.html#collapseComplete", "host": "YAHOO.widget.TreeView", "name": "collapseComplete"}, {"url": "YAHOO.widget.Node.html#completeRender", "host": "YAHOO.widget.Node", "name": "completeRender"}, {"url": "YAHOO.widget.HTMLNode.html#content", "host": "YAHOO.widget.HTMLNode", "name": "content"}, {"url": "YAHOO.widget.HTMLNode.html#contentElId", "host": "YAHOO.widget.HTMLNode", "name": "contentElId"}, {"url": "YAHOO.widget.HTMLNode.html#contentStyle", "host": "YAHOO.widget.HTMLNode", "name": "contentStyle"}, {"url": "YAHOO.widget.Node.html#data", "host": "YAHOO.widget.Node", "name": "data"}, {"url": "YAHOO.widget.Node.html#dataLoader", "host": "YAHOO.widget.Node", "name": "dataLoader"}, {"url": "YAHOO.widget.TreeView.html#_deleteNode", "host": "YAHOO.widget.TreeView", "name": "_deleteNode"}, {"url": "YAHOO.widget.Node.html#depth", "host": "YAHOO.widget.Node", "name": "depth"}, {"url": "YAHOO.widget.TreeView.html#draw", "host": "YAHOO.widget.TreeView", "name": "draw"}, {"url": "YAHOO.widget.Node.html#dynamicLoadComplete", "host": "YAHOO.widget.Node", "name": "dynamicLoadComplete"}, {"url": "YAHOO.widget.Node.html#_dynLoad", "host": "YAHOO.widget.Node", "name": "_dynLoad"}, {"url": "YAHOO.widget.TreeView.html#_el", "host": "YAHOO.widget.TreeView", "name": "_el"}, {"url": "YAHOO.widget.TVFadeIn.html#el", "host": "YAHOO.widget.TVFadeIn", "name": "el"}, {"url": "YAHOO.widget.TVFadeOut.html#el", "host": "YAHOO.widget.TVFadeOut", "name": "el"}, {"url": "YAHOO.widget.Node.html#expand", "host": "YAHOO.widget.Node", "name": "expand"}, {"url": "YAHOO.widget.TreeView.html#expand", "host": "YAHOO.widget.TreeView", "name": "expand"}, {"url": "YAHOO.widget.Node.html#expandAll", "host": "YAHOO.widget.Node", "name": "expandAll"}, {"url": "YAHOO.widget.TreeView.html#expandAll", "host": "YAHOO.widget.TreeView", "name": "expandAll"}, {"url": "YAHOO.widget.TreeView.html#_expandAnim", "host": "YAHOO.widget.TreeView", "name": "_expandAnim"}, {"url": "YAHOO.widget.TreeView.html#expandComplete", "host": "YAHOO.widget.TreeView", "name": "expandComplete"}, {"url": "YAHOO.widget.TreeView.html#expandComplete", "host": "YAHOO.widget.TreeView", "name": "expandComplete"}, {"url": "YAHOO.widget.Node.html#expanded", "host": "YAHOO.widget.Node", "name": "expanded"}, {"url": "YAHOO.widget.TVAnim.html#FADE_IN", "host": "YAHOO.widget.TVAnim", "name": "FADE_IN"}, {"url": "YAHOO.widget.TVAnim.html#FADE_OUT", "host": "YAHOO.widget.TVAnim", "name": "FADE_OUT"}, {"url": "YAHOO.widget.TreeView.html#generateId", "host": "YAHOO.widget.TreeView", "name": "generateId"}, {"url": "YAHOO.widget.Node.html#getAncestor", "host": "YAHOO.widget.Node", "name": "getAncestor"}, {"url": "YAHOO.widget.TVAnim.html#getAnim", "host": "YAHOO.widget.TVAnim", "name": "getAnim"}, {"url": "YAHOO.widget.Node.html#getChildrenEl", "host": "YAHOO.widget.Node", "name": "getChildrenEl"}, {"url": "YAHOO.widget.Node.html#getChildrenElId", "host": "YAHOO.widget.Node", "name": "getChildrenElId"}, {"url": "YAHOO.widget.Node.html#getChildrenHtml", "host": "YAHOO.widget.Node", "name": "getChildrenHtml"}, {"url": "YAHOO.widget.HTMLNode.html#getContentEl", "host": "YAHOO.widget.HTMLNode", "name": "getContentEl"}, {"url": "YAHOO.widget.Node.html#getDepthStyle", "host": "YAHOO.widget.Node", "name": "getDepthStyle"}, {"url": "YAHOO.widget.Node.html#getEl", "host": "YAHOO.widget.Node", "name": "getEl"}, {"url": "YAHOO.widget.TreeView.html#getEl", "host": "YAHOO.widget.TreeView", "name": "getEl"}, {"url": "YAHOO.widget.Node.html#getElId", "host": "YAHOO.widget.Node", "name": "getElId"}, {"url": "YAHOO.widget.Node.html#getHoverStyle", "host": "YAHOO.widget.Node", "name": "getHoverStyle"}, {"url": "YAHOO.widget.Node.html#getHtml", "host": "YAHOO.widget.Node", "name": "getHtml"}, {"url": "YAHOO.widget.Node.html#getIconMode", "host": "YAHOO.widget.Node", "name": "getIconMode"}, {"url": "YAHOO.widget.TextNode.html#getLabelEl", "host": "YAHOO.widget.TextNode", "name": "getLabelEl"}, {"url": "YAHOO.widget.TreeView.html#getNodeByIndex", "host": "YAHOO.widget.TreeView", "name": "getNodeByIndex"}, {"url": "YAHOO.widget.TreeView.html#getNodeByProperty", "host": "YAHOO.widget.TreeView", "name": "getNodeByProperty"}, {"url": "YAHOO.widget.Node.html#getNodeHtml", "host": "YAHOO.widget.Node", "name": "getNodeHtml"}, {"url": "YAHOO.widget.TreeView.html#getNodesByProperty", "host": "YAHOO.widget.TreeView", "name": "getNodesByProperty"}, {"url": "YAHOO.widget.TreeView.html#getRoot", "host": "YAHOO.widget.TreeView", "name": "getRoot"}, {"url": "YAHOO.widget.Node.html#getSiblings", "host": "YAHOO.widget.Node", "name": "getSiblings"}, {"url": "YAHOO.widget.Node.html#getStyle", "host": "YAHOO.widget.Node", "name": "getStyle"}, {"url": "YAHOO.widget.Node.html#getToggleEl", "host": "YAHOO.widget.Node", "name": "getToggleEl"}, {"url": "YAHOO.widget.Node.html#getToggleElId", "host": "YAHOO.widget.Node", "name": "getToggleElId"}, {"url": "YAHOO.widget.Node.html#getToggleLink", "host": "YAHOO.widget.Node", "name": "getToggleLink"}, {"url": "YAHOO.widget.Node.html#hasChildren", "host": "YAHOO.widget.Node", "name": "hasChildren"}, {"url": "YAHOO.widget.Node.html#hasIcon", "host": "YAHOO.widget.Node", "name": "hasIcon"}, {"url": "YAHOO.widget.Node.html#hideChildren", "host": "YAHOO.widget.Node", "name": "hideChildren"}, {"url": "YAHOO.widget.Node.html#href", "host": "YAHOO.widget.Node", "name": "href"}, {"url": "YAHOO.widget.Node.html#iconMode", "host": "YAHOO.widget.Node", "name": "iconMode"}, {"url": "YAHOO.widget.TreeView.html#id", "host": "YAHOO.widget.TreeView", "name": "id"}, {"url": "YAHOO.widget.Node.html#index", "host": "YAHOO.widget.Node", "name": "index"}, {"url": "YAHOO.widget.Node.html#init", "host": "YAHOO.widget.Node", "name": "init"}, {"url": "YAHOO.widget.TreeView.html#init", "host": "YAHOO.widget.TreeView", "name": "init"}, {"url": "YAHOO.widget.HTMLNode.html#initContent", "host": "YAHOO.widget.HTMLNode", "name": "initContent"}, {"url": "YAHOO.widget.Node.html#insertAfter", "host": "YAHOO.widget.Node", "name": "insertAfter"}, {"url": "YAHOO.widget.Node.html#insertBefore", "host": "YAHOO.widget.Node", "name": "insertBefore"}, {"url": "YAHOO.widget.Node.html#isChildOf", "host": "YAHOO.widget.Node", "name": "isChildOf"}, {"url": "YAHOO.widget.Node.html#isDynamic", "host": "YAHOO.widget.Node", "name": "isDynamic"}, {"url": "YAHOO.widget.Node.html#isLoading", "host": "YAHOO.widget.Node", "name": "isLoading"}, {"url": "YAHOO.widget.Node.html#isRoot", "host": "YAHOO.widget.Node", "name": "isRoot"}, {"url": "YAHOO.widget.TVAnim.html#isValid", "host": "YAHOO.widget.TVAnim", "name": "isValid"}, {"url": "YAHOO.widget.TextNode.html#label", "host": "YAHOO.widget.TextNode", "name": "label"}, {"url": "YAHOO.widget.TreeView.html#labelClick", "host": "YAHOO.widget.TreeView", "name": "labelClick"}, {"url": "YAHOO.widget.TextNode.html#labelElId", "host": "YAHOO.widget.TextNode", "name": "labelElId"}, {"url": "YAHOO.widget.TextNode.html#labelStyle", "host": "YAHOO.widget.TextNode", "name": "labelStyle"}, {"url": "YAHOO.widget.Node.html#loadComplete", "host": "YAHOO.widget.Node", "name": "loadComplete"}, {"url": "YAHOO.widget.TreeView.html#locked", "host": "YAHOO.widget.TreeView", "name": "locked"}, {"url": "YAHOO.widget.TreeView.html#maxAnim", "host": "YAHOO.widget.TreeView", "name": "maxAnim"}, {"url": "YAHOO.widget.Node.html#multiExpand", "host": "YAHOO.widget.Node", "name": "multiExpand"}, {"url": "YAHOO.widget.Node.html#nextSibling", "host": "YAHOO.widget.Node", "name": "nextSibling"}, {"url": "YAHOO.widget.TreeView.html#_nodes", "host": "YAHOO.widget.TreeView", "name": "_nodes"}, {"url": "YAHOO.widget.Node.html#nowrap", "host": "YAHOO.widget.Node", "name": "nowrap"}, {"url": "YAHOO.widget.TreeView.html#onCollapse", "host": "YAHOO.widget.TreeView", "name": "onCollapse"}, {"url": "YAHOO.widget.TVFadeIn.html#onComplete", "host": "YAHOO.widget.TVFadeIn", "name": "onComplete"}, {"url": "YAHOO.widget.TVFadeOut.html#onComplete", "host": "YAHOO.widget.TVFadeOut", "name": "onComplete"}, {"url": "YAHOO.widget.TreeView.html#onExpand", "host": "YAHOO.widget.TreeView", "name": "onExpand"}, {"url": "YAHOO.widget.TextNode.html#onLabelClick", "host": "YAHOO.widget.TextNode", "name": "onLabelClick"}, {"url": "YAHOO.widget.Node.html#parent", "host": "YAHOO.widget.Node", "name": "parent"}, {"url": "YAHOO.widget.Node.html#parentChange", "host": "YAHOO.widget.Node", "name": "parentChange"}, {"url": "YAHOO.widget.TreeView.html#popNode", "host": "YAHOO.widget.TreeView", "name": "popNode"}, {"url": "YAHOO.widget.Node.html#previousSibling", "host": "YAHOO.widget.Node", "name": "previousSibling"}, {"url": "YAHOO.widget.Node.html#refresh", "host": "YAHOO.widget.Node", "name": "refresh"}, {"url": "YAHOO.widget.TreeView.html#regNode", "host": "YAHOO.widget.TreeView", "name": "regNode"}, {"url": "YAHOO.widget.TreeView.html#removeChildren", "host": "YAHOO.widget.TreeView", "name": "removeChildren"}, {"url": "YAHOO.widget.TreeView.html#removeNode", "host": "YAHOO.widget.TreeView", "name": "removeNode"}, {"url": "YAHOO.widget.Node.html#renderChildren", "host": "YAHOO.widget.Node", "name": "renderChildren"}, {"url": "YAHOO.widget.Node.html#renderHidden", "host": "YAHOO.widget.Node", "name": "renderHidden"}, {"url": "YAHOO.widget.TreeView.html#setCollapseAnim", "host": "YAHOO.widget.TreeView", "name": "setCollapseAnim"}, {"url": "YAHOO.widget.Node.html#setDynamicLoad", "host": "YAHOO.widget.Node", "name": "setDynamicLoad"}, {"url": "YAHOO.widget.TreeView.html#setDynamicLoad", "host": "YAHOO.widget.TreeView", "name": "setDynamicLoad"}, {"url": "YAHOO.widget.TreeView.html#setExpandAnim", "host": "YAHOO.widget.TreeView", "name": "setExpandAnim"}, {"url": "YAHOO.widget.TreeView.html#setUpLabel", "host": "YAHOO.widget.TreeView", "name": "setUpLabel"}, {"url": "YAHOO.widget.Node.html#showChildren", "host": "YAHOO.widget.Node", "name": "showChildren"}, {"url": "YAHOO.widget.Node.html#target", "host": "YAHOO.widget.Node", "name": "target"}, {"url": "YAHOO.widget.Node.html#toggle", "host": "YAHOO.widget.Node", "name": "toggle"}, {"url": "YAHOO.widget.Node.html#toString", "host": "YAHOO.widget.Node", "name": "toString"}, {"url": "YAHOO.widget.TreeView.html#toString", "host": "YAHOO.widget.TreeView", "name": "toString"}, {"url": "YAHOO.widget.TVFadeIn.html#toString", "host": "YAHOO.widget.TVFadeIn", "name": "toString"}, {"url": "YAHOO.widget.TVFadeOut.html#toString", "host": "YAHOO.widget.TVFadeOut", "name": "toString"}, {"url": "YAHOO.widget.Node.html#tree", "host": "YAHOO.widget.Node", "name": "tree"}, {"url": "YAHOO.widget.Node.html#_type", "host": "YAHOO.widget.Node", "name": "_type"}, {"url": "YAHOO.widget.TreeView.html#YAHOO.widget.TreeView.addHandler", "host": "YAHOO.widget.TreeView", "name": "YAHOO.widget.TreeView.addHandler"}, {"url": "YAHOO.widget.TreeView.html#YAHOO.widget.TreeView.counter", "host": "YAHOO.widget.TreeView", "name": "YAHOO.widget.TreeView.counter"}, {"url": "YAHOO.widget.TreeView.html#YAHOO.widget.TreeView.getNode", "host": "YAHOO.widget.TreeView", "name": "YAHOO.widget.TreeView.getNode"}, {"url": "YAHOO.widget.TreeView.html#YAHOO.widget.TreeView.getTree", "host": "YAHOO.widget.TreeView", "name": "YAHOO.widget.TreeView.getTree"}, {"url": "YAHOO.widget.TreeView.html#YAHOO.widget.TreeView.nodeCount", "host": "YAHOO.widget.TreeView", "name": "YAHOO.widget.TreeView.nodeCount"}, {"url": "YAHOO.widget.TreeView.html#YAHOO.widget.TreeView.preload", "host": "YAHOO.widget.TreeView", "name": "YAHOO.widget.TreeView.preload"}, {"url": "YAHOO.widget.TreeView.html#YAHOO.widget.TreeView.removeHandler", "host": "YAHOO.widget.TreeView", "name": "YAHOO.widget.TreeView.removeHandler"}, {"url": "YAHOO.widget.TreeView.html#YAHOO.widget.TreeView.trees", "host": "YAHOO.widget.TreeView", "name": "YAHOO.widget.TreeView.trees"}];
                    </script>

                    <script type="text/javascript" src="assets/api-js"></script>
                    <script type="text/javascript" src="assets/ac-js"></script>

			</div>
		</div>
		<div class="yui-b">
            <div class="nav">

                    <div class="module">
                        <h4>Modules</h4>
                        <ul class="content">

                                <li class=""><a href="module_animation.html">animation</a></li>

                                <li class=""><a href="module_autocomplete.html">autocomplete</a></li>

                                <li class=""><a href="module_button.html">button</a></li>

                                <li class=""><a href="module_calendar.html">calendar</a></li>

                                <li class=""><a href="module_connection.html">connection</a></li>

                                <li class=""><a href="module_container.html">container</a></li>

                                <li class=""><a href="module_datasource.html">datasource</a></li>

                                <li class=""><a href="module_datatable.html">datatable</a></li>

                                <li class=""><a href="module_dom.html">dom</a></li>

                                <li class=""><a href="module_dragdrop.html">dragdrop</a></li>

                                <li class=""><a href="module_element.html">element</a></li>

                                <li class=""><a href="module_event.html">event</a></li>

                                <li class=""><a href="module_history.html">history</a></li>

                                <li class=""><a href="module_logger.html">logger</a></li>

                                <li class=""><a href="module_menu.html">menu</a></li>

                                <li class=""><a href="module_slider.html">slider</a></li>

                                <li class=""><a href="module_tabview.html">tabview</a></li>

                                <li class="selected"><a href="module_treeview.html">treeview</a></li>

                                <li class=""><a href="module_yahoo.html">yahoo</a></li>
                        </ul>
                    </div>

                    <div class="module">
                        <h4>Classes</h4>
                        <ul class="content">
                                <li class=""><a href="YAHOO.widget.HTMLNode.html">YAHOO.widget.HTMLNode</a></li>
                                <li class=""><a href="YAHOO.widget.MenuNode.html">YAHOO.widget.MenuNode</a></li>
                                <li class=""><a href="YAHOO.widget.Node.html">YAHOO.widget.Node</a></li>
                                <li class=""><a href="YAHOO.widget.RootNode.html">YAHOO.widget.RootNode</a></li>
                                <li class=""><a href="YAHOO.widget.TextNode.html">YAHOO.widget.TextNode</a></li>
                                <li class=""><a href="YAHOO.widget.TreeView.html">YAHOO.widget.TreeView</a></li>
                                <li class=""><a href="YAHOO.widget.TVAnim.html">YAHOO.widget.TVAnim</a></li>
                                <li class=""><a href="YAHOO.widget.TVFadeIn.html">YAHOO.widget.TVFadeIn</a></li>
                                <li class=""><a href="YAHOO.widget.TVFadeOut.html">YAHOO.widget.TVFadeOut</a></li>
                        </ul>
                    </div>

                    <div class="module">
                        <h4>Files</h4>
                        <ul class="content">        
                                <li class=""><a href="HTMLNode.js.html">HTMLNode.js</a></li>
                                <li class=""><a href="MenuNode.js.html">MenuNode.js</a></li>
                                <li class=""><a href="Node.js.html">Node.js</a></li>
                                <li class=""><a href="RootNode.js.html">RootNode.js</a></li>
                                <li class=""><a href="TextNode.js.html">TextNode.js</a></li>
                                <li class=""><a href="TreeView.js.html">TreeView.js</a></li>
                                <li class=""><a href="TVAnim.js.html">TVAnim.js</a></li>
                                <li class=""><a href="TVFadeIn.js.html">TVFadeIn.js</a></li>
                                <li class=""><a href="TVFadeOut.js.html">TVFadeOut.js</a></li>
                        </ul>
                    </div>





            </div>
		</div>
	</div>
	<div id="ft">
        <hr />
        Copyright &copy; 2007 Yahoo! Inc. All rights reserved.
	</div>
</div>
</body>
</html>
